org.codehaus.groovy.tools

## Class FileSystemCompiler.CompilationOptions

- java.lang.Object
- - org.codehaus.groovy.tools.FileSystemCompiler.CompilationOptions

- Enclosing class:
    FileSystemCompiler

      public static class FileSystemCompiler.CompilationOptions
      extends java.lang.Object

  Since:
    2.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilationOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `generateFileNames()`
    `CompilerConfiguration` | `toCompilerConfiguration()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationOptions

          public CompilationOptions()

  - ### Method Detail

    - #### toCompilerConfiguration

          public CompilerConfiguration toCompilerConfiguration()
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### generateFileNames

          public java.lang.String[] generateFileNames()